// http_result
package utils

type HttpResult struct {
	Code int8
	Msg  string
	Data interface{}
}

func BuildSuccess() (httpResult HttpResult) {
	httpResult.Code = 0
	return httpResult
}

func BuildFail(msg string) (httpResult HttpResult) {
	httpResult.Code = -1
	httpResult.Msg = msg
	return httpResult
}

func BuildSuccessData(data interface{}) (httpResult HttpResult) {
	httpResult.Code = 0
	httpResult.Data = data
	return httpResult
}
